//: Playground - noun: a place where people can play

import UIKit


let dateInPast = Date(timeIntervalSinceNow: -1234)

let intervalFormatter = DateIntervalFormatter()
intervalFormatter.string(from: dateInPast, to: Date())


let componentsFormatter = DateComponentsFormatter()
componentsFormatter.unitsStyle = .short
componentsFormatter.allowedUnits  = [.day, .hour, .minute, .second]
componentsFormatter.includesApproximationPhrase = true
componentsFormatter.maximumUnitCount = 1
componentsFormatter.includesTimeRemainingPhrase = true

componentsFormatter.string(from: dateInPast, to: Date())





let dateFormatter = DateFormatter()
dateFormatter.locale = Locale(identifier: "de_DE")
// dateFormatter.calendar = Calendar(identifier: .islamicTabular)
dateFormatter.dateStyle = .short
//dateFormatter.timeStyle = .short
let date = Date(timeIntervalSinceNow: 0)
dateFormatter.string(from: date)

let numberFormatter = NumberFormatter()
numberFormatter.locale = Locale(identifier: "de_CH")
numberFormatter.numberStyle = .decimal
numberFormatter.string(from: NSNumber(value:9878.23))
